Skip to main content
GET
/
tables
/
{tableId}
Error
A valid request URL is required to generate request examples
{
  "table": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "ref_table_name": "<string>",
    "total_records": 123,
    "formatted_total_records": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "database": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "columns": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "type": "<string>",
        "options": {},
        "ref_column_name": "<string>",
        "ref_column_type": "<string>",
        "color": "<string>",
        "order": 123,
        "locked": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Enter token in format (Bearer )

Path Parameters

tableId
string<uuid>
required

Table ID

Response

Table details retrieved successfully

table
object